package com.steerinfo.baseinfo.combaseinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class ComBaseInfo implements IBasePO<String> {
    /**
     * 基础数据编码(BASE_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="基础数据编码",required=true)
    private String baseCode;

    /**
     * 基础数据名称(BASE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="基础数据名称",required=true)
    private String baseName;

    /**
     * 拼音助记码(MNEMONIC_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="拼音助记码",required=false)
    private String mnemonicCode;

    /**
     * 备注(MEMO,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 有效标志(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="有效标志",required=true)
    private String validFlag;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 快速检索码(P_BASE_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="快速检索码",required=true)
    private String pBaseCode;

    /**
     * 是否可编辑(IS_EDIT_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否可编辑",required=true)
    private String isEditFlag;

    /**
     * 是否允许添加子类(IS_CREATE_SUBCLASE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许添加子类",required=true)
    private String isCreateSubclaseFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.baseCode;
    }

    @Override
    public void setId(String baseCode) {
        this.baseCode = baseCode == null ? null : baseCode.trim();
    }

    public String getBaseCode() {
        return baseCode;
    }

    public void setBaseCode(String baseCode) {
        this.baseCode = baseCode == null ? null : baseCode.trim();
    }

    public String getBaseName() {
        return baseName;
    }

    public void setBaseName(String baseName) {
        this.baseName = baseName == null ? null : baseName.trim();
    }

    public String getpBaseCode() {
        return pBaseCode;
    }

    public void setpBaseCode(String pBaseCode) {
        this.pBaseCode = pBaseCode == null ? null : pBaseCode.trim();
    }

    public String getIsEditFlag() {
        return isEditFlag;
    }

    public void setIsEditFlag(String isEditFlag) {
        this.isEditFlag = isEditFlag == null ? null : isEditFlag.trim();
    }

    public String getIsCreateSubclaseFlag() {
        return isCreateSubclaseFlag;
    }

    public void setIsCreateSubclaseFlag(String isCreateSubclaseFlag) {
        this.isCreateSubclaseFlag = isCreateSubclaseFlag == null ? null : isCreateSubclaseFlag.trim();
    }

    public String getMnemonicCode() {
        return mnemonicCode;
    }

    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode == null ? null : mnemonicCode.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", baseCode=").append(baseCode);
        sb.append(", baseName=").append(baseName);
        sb.append(", pBaseCode=").append(pBaseCode);
        sb.append(", isEditFlag=").append(isEditFlag);
        sb.append(", isCreateSubclaseFlag=").append(isCreateSubclaseFlag);
        sb.append(", mnemonicCode=").append(mnemonicCode);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}